OpenTTD Source: TileDesc Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
TileDesc Struct Reference

Tile description for the 'land area information' tool. More...

`#include <tile_cmd.h>`

## Data Fields
StringID | str
| Description of the tile.
uint64_t | dparam
| Parameter of the str string.
Owner | owner [4]
| Name of the owner(s)
StringID | owner_type [4]
| Type of each owner.
TimerGameCalendar::Date | build_date
| Date of construction of tile contents.
StringID | station_class
| Class of station.
StringID | station_name
| Type of station within the class.
StringID | airport_class
| Name of the airport class.
StringID | airport_name
| Name of the airport.
StringID | airport_tile_name
| Name of the airport tile.
const char * | grf
| newGRF used for the tile contents
StringID | railtype
| Type of rail on the tile.
uint16_t | rail_speed
| Speed limit of rail (bridges and track)
StringID | roadtype
| Type of road on the tile.
uint16_t | road_speed
| Speed limit of road (bridges and track)
StringID | tramtype
| Type of tram on the tile.
uint16_t | tram_speed
| Speed limit of tram (bridges and track)

## Detailed Description

Tile description for the 'land area information' tool.

Definition at line 52 of file tile_cmd.h.

## Field Documentation

## ◆ airport_class

StringID TileDesc::airport_class

Name of the airport class.

Definition at line 60 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ airport_name

StringID TileDesc::airport_name

Name of the airport.

Definition at line 61 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ airport_tile_name

StringID TileDesc::airport_tile_name

Name of the airport tile.

Definition at line 62 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ build_date

TimerGameCalendar::Date TileDesc::build_date

Date of construction of tile contents.

Definition at line 57 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ dparam

uint64_t TileDesc::dparam

Parameter of the str string.

Definition at line 54 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ grf

const char* TileDesc::grf

newGRF used for the tile contents

Definition at line 63 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ owner

Owner TileDesc::owner[4]

Name of the owner(s)

Definition at line 55 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ owner_type

StringID TileDesc::owner_type[4]

Type of each owner.

Definition at line 56 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ rail_speed

uint16_t TileDesc::rail_speed

Speed limit of rail (bridges and track)

Definition at line 65 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ railtype

StringID TileDesc::railtype

Type of rail on the tile.

Definition at line 64 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ road_speed

uint16_t TileDesc::road_speed

Speed limit of road (bridges and track)

Definition at line 67 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ roadtype

StringID TileDesc::roadtype

Type of road on the tile.

Definition at line 66 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ station_class

StringID TileDesc::station_class

Class of station.

Definition at line 58 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ station_name

StringID TileDesc::station_name

Type of station within the class.

Definition at line 59 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ str

StringID TileDesc::str

Description of the tile.

Definition at line 53 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ tram_speed

uint16_t TileDesc::tram_speed

Speed limit of tram (bridges and track)

Definition at line 69 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ tramtype

StringID TileDesc::tramtype

Type of tram on the tile.

Definition at line 68 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

The documentation for this struct was generated from the following file:

- src/tile_cmd.h